GITIT(1)

NAME
gitit - wiki engine backed by a git or darcs filestore

SYNOPSIS

gitit [{-h | --help}] [{-v | --version}] [{-p port | --port=port}] [{-l interface | --listen=interface}] [{-f configfile | --config-file=configfile}] [--debug] [--print-default-config]

DESCRIPTION

gitit is a wiki enging backed by a git or darcs filestore. When run for the first time, it creates a file standard files and directories that contains the structure of a basic wiki, then listens for incoming HTTP connections. When run in a directory that already contains a gitit wiki, it uses the information already present.

The directory wikidata contains the repository that hosts the pages in the wiki. You can change its content both from the Web interface and by modifying directly the repository (via commit/record or push/pull).

OPTIONS

The program follows the usual GNU command line syntax, with long options starting with two dashes (`-').

-h, --help
    Displays a brief help about the parameters, then quits.

-v, --version
    Displays the installed version of gitit, then quits.

-p port, --port=port
    Intruct gitit to listen on the specified port.

-l interface, --listen=interface
    Intruct gitit to listen on the specified interface.

-f configfile, --config-file=configfile
    Override default configuration with the values specified in file configfile. To see this file's syntax and the configurable fields (with default values and documentation), use --print-default-config.

--debug
    Enable debug mode: gitit will print information about all the requests it handles.

--print-default-config
    Prints the default configuration values, along with some documentation.

AUTHOR

Giovanni Mascellani <gio@debian.org>
    Wrote this manpage for the Debian system.

COPYRIGHT
Copyright © 2011 Giovanni Mascellani

This manual page was written for the Debian system (and may be used by others).

Permission is granted to copy, distribute and/or modify this document under the terms of the GNU General Public License, Version 3 or (at your option) any later version published by the Free Software Foundation.

On Debian systems, the complete text of the GNU General Public License can be found in /usr/share/common-licenses/GPL.